music('deepsparse.ogg')
w = huwalls(['topdoor', (200, 0), (0, 0),
             (0, 100), 'balldoor2', (0, 144),
             (0, 200), 'balldoor1', (0, 244),  (0, 600),
             (800, 600), (800, 400), (1000, 400), (1000, 500), (1400, 500),
             (1400, 100), (1000, 100), (1000, 200), (800, 200), 
             (800, 0), (350-THICKNESS, 0)],
          counter=True, bg="trainingbg2", closed=True)
wd1 = door(w, 'balldoor1')
wd2 = door(w, 'balldoor2')
wtd = door(w, 'topdoor')
p = player((100, 100))
image(w, image='level3-right', offset=(800, 100))

dialog("One of the things that'll be part of your duty with Project Alexandria is zero-gravity portage. In other words, you will have to move things around.", characters.Lisa)
dialog("To make this feasible, we've equipped your ship with a liquid-proton attractor. We call it the \"pull beam\" for short.", characters.Lisa)
dialog("Here's a warm-up.", characters.Lisa)

cbox, c = package(payload=Circle(12, pos=(200, 100), velo=(1,0), image="pinkball"), pattern=[((5, 0), 100), ((0, 0), -1), 'delete(cbox, "right")', 'wd1.open()',], pos=(-500, 200), rel=('left', w), texture='humanboxwall', bg='humanboxbg')
objectin(c, (1000, 100, 400, 400),
         meanwhile=Sequence(
             Dialog("See that ball? Put it in the other room.", characters.Lisa),
             Dialog("Fire the pull-beam with the '%s' key. Release it by pressing '%s' again." % (get_control('shoot_hook'), get_control('shoot_hook'))),
             Dialog("Reel in pull-beam with the '%s' key. Reel it out by pressing '%s'." % (get_control('reel_in'), get_control('reel_out')))
))

boxpts = [(0, 250), (0, 0), (500, 0), (500, 250), (150, 250), (150, 100)]
dialog("Good.", characters.Lisa)

box = walls(boxpts, rel=('top', w), pos=(200, -500+THICKNESS), 
            pattern=[((0, 5), 100), ((0, 0), -1), "wtd.open()"],
            texture='humanboxwall', texturebg='humanboxbg')
delete(c)
cbox, c = package(payload=Circle(12, pos=(100, 100), density=1, velo=(1, 0),
                                 image='pinkball'),
                  rel=('left', w), pos=(-500, 100),
                  pattern=[((5, 0), 100), ((0, 0), -1), 'wd2.open()', 'delete(cbox, "right")',], texture="humanboxwall", bg='humanboxbg')
objectin(c, (150, 00, 350, 250), rel=box, meanwhile=Dialog("This one's a little harder. Put the ball in the box to the north.", characters.Lisa))
dialog("OK, you've got the basics down. Let's move on to maneuvering.",characters.Lisa)

##length = 1000
##w2 = huwalls([(0, 1000), (length, 1000),
##              (length, 1600), (length-100, 1600), 'outdoor', (length-200, 1600),
##              (0, 1600)],
##             closed=True)
##damagerect(rel=w2, rect=(200, 1000, length-400, 600))
##w2o = door(w2, 'outdoor')
##teleporter(rect=(150, 00, 350, 250), rel=box, targetpos=(100, 1100))
##seconds(100)

nextlevel="level4"
